## org.w3c.tools.resources
Interface RequestInterface

All Known Implementing Classes:
  Request

public abstract interface RequestInterface

Method Summary
`java.lang.String` | `getURLPath()` Get the URL path of the target resource.
`boolean` | `isInternal()` Return true is the request is internal.
`ReplyInterface` | `makeBadRequestReply()` Get a "Bad request" reply.
`void` | `setState(java.lang.String name, java.lang.String state)` FIXME doc

Method Detail

### setState

    public void setState(java.lang.String name,
                         java.lang.String state)

  FIXME doc

### getURLPath

    public java.lang.String getURLPath()

  Get the URL path of the target resource.

### isInternal

    public boolean isInternal()

  Return true is the request is internal.
  Returns:
    a boolean.

### makeBadRequestReply

    public ReplyInterface makeBadRequestReply()

  Get a "Bad request" reply.
  Returns:
    a ReplyInterface instance.